<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>proyectofinal documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>
          <script>
               // Blocking script to avoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-md-none p-0">
               <div class="d-flex">
                    <a href="../" class="navbar-brand">proyectofinal documentation</a>
                    <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
               </div>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="d-none d-md-block menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  GameComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/view/game/game.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-game</code></td>
            </tr>






            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./game.component.html</code></td>
            </tr>



            <tr>
                <td class="col-md-3">styleUrl</td>
                <td class="col-md-9"><code>./game.component.css</code></td>
            </tr>





        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#block" >block</a>
                            </li>
                            <li>
                                <a href="#capturades" >capturades</a>
                            </li>
                            <li>
                                <a href="#fallos" >fallos</a>
                            </li>
                            <li>
                                <a href="#finish" >finish</a>
                            </li>
                            <li>
                                <a href="#gridarray" >gridarray</a>
                            </li>
                            <li>
                                    <span class="modifier">Optional</span>
                                <a href="#idInterval" >idInterval</a>
                            </li>
                            <li>
                                <a href="#logueado" >logueado</a>
                            </li>
                            <li>
                                <a href="#record" >record</a>
                            </li>
                            <li>
                                <a href="#spd" >spd</a>
                            </li>
                            <li>
                                <a href="#usrForm" >usrForm</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#comenzarPartida" >comenzarPartida</a>
                            </li>
                            <li>
                                <a href="#generarActividad" >generarActividad</a>
                            </li>
                            <li>
                                <a href="#getRecord" >getRecord</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#handleKeyDown" >handleKeyDown</a>
                            </li>
                            <li>
                                <a href="#movimientoActividad" >movimientoActividad</a>
                            </li>
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#updateRecord" >updateRecord</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                <tr>
                    <td class="col-md-4">
                        <h6><b>HostListeners</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#window:keydown" >window:keydown</a>
                            </li>
                        </ul>
                    </td>
                </tr>

        </tbody>
    </table>
</section>

    <section data-compodoc="block-constructor">
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(loginservice: <a href="../injectables/LoginService.html" target="_self">LoginService</a>, userform: <a href="../injectables/UserformService.html" target="_self">UserformService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/view/game/game.component.ts:32</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>loginservice</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/LoginService.html" target="_self" >LoginService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>userform</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/UserformService.html" target="_self" >UserformService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>




    <section data-compodoc="block-methods">
    <h3>HostListeners</h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="window:keydown"></a>
                    <span class="name">
                        <span ><b>window:keydown</b></span>
                        <a href="#window:keydown"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <i>Arguments : </i><code>'$event' </code>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>window:keydown(event: KeyboardEvent)</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="73"
                                    class="link-to-prism">src/app/view/game/game.component.ts:73</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>
    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="comenzarPartida"></a>
                    <span class="name">
                        <span ><b>comenzarPartida</b></span>
                        <a href="#comenzarPartida"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>comenzarPartida()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="47"
                                    class="link-to-prism">src/app/view/game/game.component.ts:47</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="generarActividad"></a>
                    <span class="name">
                        <span ><b>generarActividad</b></span>
                        <a href="#generarActividad"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>generarActividad()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="102"
                                    class="link-to-prism">src/app/view/game/game.component.ts:102</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getRecord"></a>
                    <span class="name">
                        <span ><b>getRecord</b></span>
                        <a href="#getRecord"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getRecord()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="24"
                                    class="link-to-prism">src/app/view/game/game.component.ts:24</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="handleKeyDown"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>handleKeyDown</b></span>
                        <a href="#handleKeyDown"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>handleKeyDown(event: KeyboardEvent)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@HostListener(&#x27;window:keydown&#x27;, [&#x27;$event&#x27;])<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="73"
                                    class="link-to-prism">src/app/view/game/game.component.ts:73</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>event</td>
                                            <td>
                                                        <code>KeyboardEvent</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="movimientoActividad"></a>
                    <span class="name">
                        <span ><b>movimientoActividad</b></span>
                        <a href="#movimientoActividad"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>movimientoActividad()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="114"
                                    class="link-to-prism">src/app/view/game/game.component.ts:114</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="35"
                                    class="link-to-prism">src/app/view/game/game.component.ts:35</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateRecord"></a>
                    <span class="name">
                        <span ><b>updateRecord</b></span>
                        <a href="#updateRecord"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateRecord()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="41"
                                    class="link-to-prism">src/app/view/game/game.component.ts:41</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="block"></a>
                    <span class="name">
                        <span ><b>block</b></span>
                        <a href="#block"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>true</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/view/game/game.component.ts:14</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="capturades"></a>
                    <span class="name">
                        <span ><b>capturades</b></span>
                        <a href="#capturades"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>0</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/view/game/game.component.ts:17</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="fallos"></a>
                    <span class="name">
                        <span ><b>fallos</b></span>
                        <a href="#fallos"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>0</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/view/game/game.component.ts:18</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="finish"></a>
                    <span class="name">
                        <span ><b>finish</b></span>
                        <a href="#finish"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/view/game/game.component.ts:23</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="gridarray"></a>
                    <span class="name">
                        <span ><b>gridarray</b></span>
                        <a href="#gridarray"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>string[][]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/view/game/game.component.ts:19</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="idInterval"></a>
                    <span class="name">
                            <span class="modifier">Optional</span>
                        <span ><b>idInterval</b></span>
                        <a href="#idInterval"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>NodeJS.Timeout</code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/view/game/game.component.ts:15</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="logueado"></a>
                    <span class="name">
                        <span ><b>logueado</b></span>
                        <a href="#logueado"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/view/game/game.component.ts:20</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="record"></a>
                    <span class="name">
                        <span ><b>record</b></span>
                        <a href="#record"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/view/game/game.component.ts:21</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="spd"></a>
                    <span class="name">
                        <span ><b>spd</b></span>
                        <a href="#spd"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>300</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/view/game/game.component.ts:16</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="usrForm"></a>
                    <span class="name">
                        <span ><b>usrForm</b></span>
                        <a href="#usrForm"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>FormGroup</code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/view/game/game.component.ts:22</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {Component, HostListener} from &#x27;@angular/core&#x27;;
import {User} from &quot;../../shared/classes/user&quot;;
import {LoginService} from &quot;../../shared/services/login.service&quot;;
import {UserformService} from &quot;../../shared/services/userform.service&quot;;
import {FormControl, FormGroup, Validators} from &quot;@angular/forms&quot;;
import {emailValidator, passwordValidator} from &quot;../login/loginvalidator.directive&quot;;
@Component({
  selector: &#x27;app-game&#x27;,
  templateUrl: &#x27;./game.component.html&#x27;,
  styleUrl: &#x27;./game.component.css&#x27;
})

export class GameComponent {
  block:boolean &#x3D; true;
  idInterval?:NodeJS.Timeout;
  spd:number &#x3D; 300;
  capturades:number &#x3D; 0;
  fallos:number &#x3D; 0;
  gridarray:string[][] &#x3D;[];
  logueado!:string;
  record!:number;
  usrForm!:FormGroup;
  finish:boolean &#x3D; false;
  getRecord(){
    this.userform.getAllUsers().subscribe( res &#x3D;&gt;{
      for(let u of res){
        if(u.nom &#x3D;&#x3D;&#x3D; this.logueado){
          this.record &#x3D; u.punts;
        }
      }
    });
  }
  constructor(private loginservice:LoginService, private userform:UserformService) {
  }
  ngOnInit(){
    this.logueado &#x3D; this.loginservice.userlogin.getValue();
    this.getRecord();

  }

  updateRecord() {
    this.userform.updateUser((this.usrForm))
      .subscribe(res &#x3D;&gt; {
        console.log(res);
      });
  }
  comenzarPartida(){
    this.gridarray &#x3D; [
      [&#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;eloi&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;dot-unhit&#x27;, &#x27;wall&#x27;],
      [&#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;, &#x27;wall&#x27;]
    ];
    this.spd &#x3D; 300;
    this.generarActividad();
    clearInterval(this.idInterval);
    this.idInterval &#x3D; setInterval(() &#x3D;&gt; this.movimientoActividad(),this.spd);
    this.fallos &#x3D; 0;
    this.capturades &#x3D; 0;
    this.block &#x3D; false;
    this.finish &#x3D; false;

  }

  @HostListener(&#x27;window:keydown&#x27;, [&#x27;$event&#x27;])
  handleKeyDown(event: KeyboardEvent){
    if(!this.block){
      let f:number &#x3D; 0;
      let c:number &#x3D; 0;
      for(let i&#x3D;0;i&lt;this.gridarray.length;i++){
        for(let k&#x3D;0;k&lt;this.gridarray[0].length;k++){
          if(this.gridarray[i][k] &#x3D;&#x3D;&#x3D; &#x27;eloi&#x27;){
            f &#x3D; i;
            c &#x3D; k;
          }
        }
      }
      switch (event.code){
        case &#x27;ArrowLeft&#x27;:
          if(this.gridarray[f][c-1] &#x3D;&#x3D;&#x3D; &#x27;dot-unhit&#x27;){
            this.gridarray[f][c] &#x3D; &#x27;dot-unhit&#x27;;
            this.gridarray[f][c-1] &#x3D; &#x27;eloi&#x27;;
          }
          break;
        case &#x27;ArrowRight&#x27;:
          if(this.gridarray[f][c+1] &#x3D;&#x3D;&#x3D; &#x27;dot-unhit&#x27;){
            this.gridarray[f][c] &#x3D; &#x27;dot-unhit&#x27;;
            this.gridarray[f][c+1] &#x3D; &#x27;eloi&#x27;;
          }
          break;
      }
    }
  }

  generarActividad() {
    let generar:boolean &#x3D; true;
    while(generar){
      const randomPos:number &#x3D; Math.floor(Math.random() * (this.gridarray[0].length-1)+1);
      if(this.gridarray[1][randomPos] &#x3D;&#x3D;&#x3D; &#x27;dot-unhit&#x27;){
        this.gridarray[1][randomPos] &#x3D; &quot;act&quot;
        generar &#x3D; false;
      }
    }

  }

  movimientoActividad(){
    let f:number &#x3D; 100;
    let c:number &#x3D; 100;
    for(let i&#x3D;0;i&lt;this.gridarray.length;i++){
      for(let k&#x3D;0;k&lt;this.gridarray[0].length;k++){
        if(this.gridarray[i][k] &#x3D;&#x3D;&#x3D; &#x27;act&#x27;){
          f &#x3D; i;
          c &#x3D; k;
        }
      }
    }

    if(this.gridarray[f+1][c] &#x3D;&#x3D;&#x3D; &quot;dot-unhit&quot;){
      this.gridarray[f+1][c] &#x3D; &quot;act&quot;;
      this.gridarray[f][c] &#x3D; &quot;dot-unhit&quot;;
    }
    else if(this.gridarray[f+1][c] &#x3D;&#x3D;&#x3D; &quot;wall&quot;){
      this.gridarray[f][c] &#x3D; &quot;dot-unhit&quot;;
      this.fallos++;
      if(this.fallos &gt;&#x3D; 10){
        clearInterval(this.idInterval);
        this.finish &#x3D; true;
        this.block &#x3D; true;
        if(this.record &lt; this.capturades){
          this.record &#x3D; this.capturades;
          this.usrForm &#x3D; new FormGroup( {
            nom : new FormControl(this.logueado),
            punts : new FormControl(this.record)
          })
          this.updateRecord();
          this.getRecord();
        }
      }else{
        this.generarActividad();
      }
    }
    else if(this.gridarray[f+1][c] &#x3D;&#x3D;&#x3D; &quot;eloi&quot;){
      this.gridarray[f][c] &#x3D; &quot;dot-unhit&quot;;
      this.capturades++;
      this.generarActividad();
      if(this.capturades%20&#x3D;&#x3D;0){
        this.spd -&#x3D; 100;
        if(this.spd &#x3D;&#x3D; 0){
          this.spd &#x3D; 100;
        }
        clearInterval(this.idInterval);
        this.idInterval &#x3D; setInterval(() &#x3D;&gt; this.movimientoActividad(),this.spd);
      }
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;h1&gt;Videogame:&lt;/h1&gt;
  &lt;p&gt;Récord: {{record}}&lt;/p&gt;
  &lt;p&gt;Capturades: {{capturades}}&lt;/p&gt;
  &lt;p&gt;No capturades: {{fallos}}&lt;/p&gt;
    @if(logueado &#x3D;&#x3D;&#x3D; &quot;logout&quot;){
      &lt;p&gt;Primer has de fer login&lt;/p&gt;
    } @else {
      &lt;button (click)&#x3D;&quot;comenzarPartida()&quot;&gt;Comenzar Partida&lt;/button&gt;
    }
  &lt;div class&#x3D;&quot;divTablero&quot;&gt;
    @for(f of gridarray; track f){
      @for(c of f; track c){
        &lt;div class&#x3D;&quot;{{c}}&quot;&gt;&lt;/div&gt;
      }
    }
  &lt;/div&gt;
  @if(finish){
    &lt;h2 class&#x3D;&quot;text-danger&quot;&gt;El joc ha terminat, pressiona el botó per reiniciar&lt;/h2&gt;
  }
&lt;/div&gt;

</code></pre>
    </div>


    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <h1>Videogame:</h1>  <p>Récord: {{record}}</p>  <p>Capturades: {{capturades}}</p>  <p>No capturades: {{fallos}}</p>    @if(logueado === "logout"){      <p>Primer has de fer login</p>    } @else {      <button (click)="comenzarPartida()">Comenzar Partida</button>    }  <div class="divTablero">    @for(f of gridarray; track f){      @for(c of f; track c){        <div class="{{c}}"></div>      }    }  </div>  @if(finish){    <h2 class="text-danger">El joc ha terminat, pressiona el botó per reiniciar</h2>  }</div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'GameComponent', 'selector': 'app-game'},{'name': 'HelpComponent', 'selector': 'app-help'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'RankingComponent', 'selector': 'app-ranking'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'StartpageComponent', 'selector': 'app-startpage'}];
    var DIRECTIVES = [{'name': 'LoginvalidatorDirective', 'selector': ' [appValidarPassword]'}];
    var ACTUAL_COMPONENT = {'name': 'GameComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'GameComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script>
               $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               checkToggle(darkModeState);
               if ($darkModeToggleSwitchers.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
